CVE-2016-10158

Priority
Low
Description
The exif_convert_any_to_int function in ext/exif/exif.c in PHP before
5.6.30, 7.0.x before 7.0.15, and 7.1.x before 7.1.1 allows remote attackers
to cause a denial of service (application crash) via crafted EXIF data that
triggers an attempt to divide the minimum representable negative integer by
-1.
References
Bugs
Package
Source: php5 (LP Ubuntu Debian)
Upstream:released (5.6.30)
Ubuntu 12.04 LTS (Precise Pangolin):released (5.3.10-1ubuntu3.26)
Ubuntu 14.04 LTS (Trusty Tahr):released (5.5.9+dfsg-1ubuntu4.21)
Ubuntu Touch 15.04:DNE
Ubuntu Core 15.04:DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 16.10 (Yakkety Yak):DNE
Ubuntu 17.04 (Zesty Zapus):DNE
Patches:
Upstream:https://github.com/php/php-src/commit/1cda0d7c2ffb62d8331c64e703131d9cabdc03ea
Package
Upstream:released (7.0.15)
Ubuntu 12.04 LTS (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Ubuntu Touch 15.04:DNE
Ubuntu Core 15.04:DNE
Ubuntu 16.04 LTS (Xenial Xerus):released (7.0.15-0ubuntu0.16.04.2)
Ubuntu 16.10 (Yakkety Yak):released (7.0.15-0ubuntu0.16.10.2)
Ubuntu 17.04 (Zesty Zapus):released (7.0.15-1ubuntu2)
Patches:
Upstream:https://github.com/php/php-src/commit/1cda0d7c2ffb62d8331c64e703131d9cabdc03ea
More Information

Updated: 2017-02-23 17:14:30 UTC (commit 12137)